summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2007-12-07 13:52:20 +0000
committerUlrich Müller <ulm@gentoo.org>2007-12-07 13:52:20 +0000
commitf56690bb0379ee5bfdc0f547b7dac72e82bb510e (patch)
tree3b978e21501e09e9726954ff6ed8bce3c69f3a3b /eclass
parentadd guile that installs to prefix=/ for einit (diff)
downloadgentoo-2-f56690bb0379ee5bfdc0f547b7dac72e82bb510e.tar.gz
gentoo-2-f56690bb0379ee5bfdc0f547b7dac72e82bb510e.tar.bz2
gentoo-2-f56690bb0379ee5bfdc0f547b7dac72e82bb510e.zip
Undo the change of 2007-12-04. Remove cd command in elisp_src_unpack.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/elisp.eclass13
1 files changed, 6 insertions, 7 deletions
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index e26e49236f50..c616e7f99fb7 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.26 2007/12/07 00:16:24 opfer Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.27 2007/12/07 13:52:20 ulm Exp $
#
# Copyright 2007 Christian Faulhammer <opfer@gentoo.org>
# Copyright 2002-2003 Matthew Kennedy <mkennedy@gentoo.org>
@@ -45,6 +45,10 @@ DEPEND=">=virtual/emacs-${VERSION}"
RDEPEND=">=virtual/emacs-${VERSION}"
IUSE=""
+if [ "${SIMPLE_ELISP}" = 't' ]; then
+ S="${WORKDIR}"
+fi
+
elisp_pkg_setup() {
local emacs_version="$(elisp-emacs-version)"
if ! version_is_at_least "${VERSION}" "${emacs_version}"; then
@@ -52,17 +56,12 @@ elisp_pkg_setup() {
eerror "Use \"eselect emacs\" to select the active version."
die "Emacs version ${emacs_version} is too low."
fi
-
- if [ "${SIMPLE_ELISP}" = 't' ]; then
- S="${WORKDIR}"
- fi
}
elisp_src_unpack() {
unpack ${A}
if [ "${SIMPLE_ELISP}" = 't' ]; then
- cd "${WORKDIR}" && mv ${P}.el ${PN}.el \
- || die "mv ${P}.el ${PN}.el failed"
+ mv ${P}.el ${PN}.el || die "mv ${P}.el ${PN}.el failed"
fi
}